package com.vendor.burn.preferences;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.burn.Messages;
import com.vendor.burn.preferences.FastbootPreferences;
import com.vendor.burn.preferences.PreferenceConstants;
import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.ColorFieldEditor;
import org.eclipse.jface.preference.FieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.IntegerFieldEditor;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

public class FastbootPreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage, PreferenceConstants {
  public static final String ID = "com.vendor.burn.preferences.FastbootPreferencePage";
  
  public FastbootPreferencePage() {
    super(1);
  }
  
  public void init(IWorkbench workbench) {
    setPreferenceStore(FastbootPreferences.getPreferenceStore());
  }
  
  protected void createFieldEditors() {
    Composite parent = getFieldEditorParent();
    addField((FieldEditor)new BooleanFieldEditor("vendor.burn.console.out.debug", Messages.FastbootPreferencePage_Is_Debug_On, parent));
    addField((FieldEditor)new ColorFieldEditor("vendor.burn.console.out.rgb.default", Messages.FastbootPreferencePage_Debug_Message, parent));
    addField((FieldEditor)new ColorFieldEditor("vendor.burn.console.out.rgb.received", Messages.FastbootPreferencePage_Received_Message, parent));
    addField((FieldEditor)new ColorFieldEditor("vendor.burn.console.out.rgb.warning", Messages.FastbootPreferencePage_Warning_Message, parent));
    addField((FieldEditor)new ColorFieldEditor("vendor.burn.console.out.rgb.info", Messages.FastbootPreferencePage_Info_Message, parent));
    addField((FieldEditor)new BooleanFieldEditor("vendor.burn.check.network", Messages.FastbootPreferencePage_Is_SameNetWork_Off, parent));
    addField((FieldEditor)new BooleanFieldEditor("vendor.burn.update.bootrags", Messages.FastbootPreferencePage_Is_UpdateBootargs_On, parent));
    IntegerFieldEditor spiltFileSizeEditor = new IntegerFieldEditor("vendor.burn.split.fileSize", Messages.spiltFileSize, parent);
    addField((FieldEditor)spiltFileSizeEditor);
    spiltFileSizeEditor.setValidRange(32, 256);
  }
}
